import { reactive } from 'vue';

// state encapsulated and managed by the composable
const globalNonpersistedState = reactive({
    showLoadingModal: true,
    showTextCarousel: false,
    carouselTextSlides: []
});

const showIssLoadingModal = (newValue, showTextCarousel = false, carouselTextSlides = []) => {
    if (newValue !== undefined) {
        globalNonpersistedState.showLoadingModal = newValue;
    }
    if (showTextCarousel !== undefined) {
        globalNonpersistedState.showTextCarousel = showTextCarousel;
    }
    if (carouselTextSlides !== undefined) {
        globalNonpersistedState.carouselTextSlides = carouselTextSlides;
    }

    return { globalNonpersistedState };
};

export default showIssLoadingModal;
